Package org.eclipse.microprofile.openapi.models.parameters

# Enum Parameter.In

java.lang.Object
java.lang.Enum<Parameter.In>
org.eclipse.microprofile.openapi.models.parameters.Parameter.In

All Implemented Interfaces:
  `Serializable`, `Comparable<Parameter.In>`

Enclosing interface:
  Parameter

public static enum Parameter.In extends Enum<Parameter.In>
The values allowed for the in field.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COOKIE`
`HEADER`
`PATH`
`QUERY`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static Parameter.In`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Parameter.In[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PATH

public static final Parameter.In PATH

### QUERY

public static final Parameter.In QUERY

### HEADER

public static final Parameter.In HEADER

### COOKIE

public static final Parameter.In COOKIE

## Method Details

### values

public static Parameter.In[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Parameter.In valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Parameter.In>`